Skip to main content
POST
Add Notifications
Use this API to add notifications.

Endpoint

POST https://api.velt.dev/v2/notifications/add

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

Example Request with Permission Verification

When verifyUserPermissions is enabled, the API checks document access for each user before creating notifications. Only users with access to the document will receive notifications.

Example Request with Context

When context is provided, notifications will be filtered based on the specified context fields. Users will only receive notifications that match their context permissions.

Example Request with Notification Resolver

Use this when notification content (headline, body) is stored on your own infrastructure and resolved at read time via the Notification Resolver. Omit displayHeadlineMessageTemplate and displayBodyMessage and set notificationSource to 'custom'.
When isNotificationResolverUsed is true, displayHeadlineMessageTemplate and displayBodyMessage are not required. Notification content is fetched from your configured data provider at read time.

Response

Success Response

Failure Response